| PUT | /RestApi/apiservice/updateService/{OldUrlName} |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| OldUrlName | path | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Route | form | string | No | |
| Name | form | string | No | |
| UrlName | form | string | No | |
| Enabled | form | bool | No | |
| ApiKey | form | string | No | |
| AccessControlAllowOrigin | form | string | No | |
| AutogenerateTypes | form | bool | No | |
| Access | form | string | No | |
| Types | form | IEnumerable<ContentsProxy> | No | |
| Protocol | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| ReadOnly | form | bool | No | |
| UrlKey | form | string | No | |
| ClrType | form | string | No | |
| Access | form | string | No | |
| Properties | form | IEnumerable<PropertiesProxy> | No | |
| Children | form | IEnumerable<ContentsProxy> | No | |
| AutogenerateProperties | form | bool | No | |
| parentId | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| PropertyType | form | string | No | |
| IsPersistent | form | bool | No | |
| AllowSort | form | bool | No | |
| AllowFilter | form | bool | No | |
| IsKey | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/apiservice/updateService/{OldUrlName} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
OldUrlName: String,
Route: String,
Name: String,
UrlName: String,
Enabled: False,
ApiKey: String,
AccessControlAllowOrigin: String,
AutogenerateTypes: False,
Access: String,
Protocol: String
}